Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.core.timer.impl
Class QuartzSchedulerService.GlobalQuartzJobHandle

    java.lang.Object
      org.drools.core.time.impl.DefaultJobHandle
          org.jbpm.process.core.timer.impl.GlobalTimerService.GlobalJobHandle
              org.jbpm.process.core.timer.impl.QuartzSchedulerService.GlobalQuartzJobHandle

All Implemented Interfaces:
  Serializable, org.drools.core.time.JobHandle

Enclosing class:
  QuartzSchedulerService

    public static class QuartzSchedulerService.GlobalQuartzJobHandle

extends GlobalTimerService.GlobalJobHandle

See Also:
  Serialized Form

Constructor Summary
`QuartzSchedulerService.GlobalQuartzJobHandle(long id, String name, String group)`

Method Summary
`String` | `getJobGroup()`
`String` | `getJobName()`
`void` | `setJobGroup(String jobGroup)`
`void` | `setJobName(String jobName)`

Methods inherited from class org.jbpm.process.core.timer.impl.GlobalTimerService.GlobalJobHandle
`getSessionId, getTimerId`

Methods inherited from class org.drools.core.time.impl.DefaultJobHandle
`equals, getId, getJob, getTimerJobInstance, hashCode, isCancel, setCancel, setTimerJobInstance`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.core.time.JobHandle
`getId, isCancel, setCancel`

Constructor Detail

### QuartzSchedulerService.GlobalQuartzJobHandle

    public QuartzSchedulerService.GlobalQuartzJobHandle(long id,
                                                        String name,
                                                        String group)

Method Detail

### getJobName

    public String getJobName()

### setJobName

    public void setJobName(String jobName)

### getJobGroup

    public String getJobGroup()

### setJobGroup

    public void setJobGroup(String jobGroup)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.